Subject: bug#39281: gdm doesn't start

From: Jack Hill <[email-masked]>
Date: Mon, 27 Jan 2020 14:08:44 -0500 (EST)

On Mon, 27 Jan 2020, Raghav Gururajan wrote:

>> so I removed gnome-initial-setup from the propagated-inputs with the following patch, and, indeed,
>> that resolved the problem with gdm on my system.
>
> That's strange. Both our system share similar configuration. But for me 
> gdm works fine with gnome-initial-setup being present. This is 
> confusing.

Indeed, my system does have a really slow disk, so it would not surprise 
me if that contributed to it. Of course that shouldn't matter, but that's 
the only thing I can think it. It would be nice to hear if sirgazil can 
reproduce the fix since I think they were having the same problem on their 
computer.

>> While I'm still not exactly sure why this was causing gdm problems, and why `herd restart
>> xorg-server` caused gdm to start working correctly, I think that removing gnome-initial-setup from
>> the gnome meta-package is the right thing to do. Instead, perhaps it could be provided via its own
>> service, auto-selected by the installer. If I recall correctly from other distros (e.g. Fedora),
>> the gnome-initial-setup wizard is run from its own user on first boot, and after it finishes, the
>> user is logged in as themselves. That said, gnome-initial-setup did seem to run fine for me the
>> first time I logged into gnome after it was installed, and hasn't stared again.
>> 
>> Thoughts?
>
> I would say debugging and fixing would be better than removing. Let me see what I can do.

I agree that fixing is better than removing. Good luck debugging. I'm 
happy to test, but am currently out of ideas.

>> P.S. Thanks Raghav for your work on making gnome in guix a better experience!
>
> 10-4 on the sarcasm. ;-)

I'm glad that you took this well :). However, while I'm often sarcastic, I 
wasn't trying to be here. What I was trying to express was that while I'm 
currently running my system with gnome-initial-setup removed doesn't mean 
that I don't appreciate the change to make it present by default. 
Fortunately for me, Guix makes this easy compared to other systems!

Best,
Jack